Antom, leading provider of tailored payment solutions

inquiryTransfer

POST /v1/aba/funds/inquiryTransfer

Call this API to query the fund transfer result.

  • Set up a timeout mechanism to stop the polling process, in case no conclusive transfer result is reached.
  • If you do not receive any notification from Antom two hours after you call the createTransfer API; and meanwhile, if you call the inquiryTransfer API and get ​UNKNOWN​ in the transferResult.resultCode, contact Antom Technical Support for help.  

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

transferRequestId String  REQUIRED

The unique ID assigned by the merchant to identify a transfer request.

More information:

  • Maximum length: 64 characters

Response parameters

result Result  REQUIRED

Indicates whether this API is called successfully.

Show child parameters

transferResult Result  

The result of the transfer request.

Note: This field is returned on demand only when the value of result.resultStatus is ​S​.

Show child parameters

transferRequestId String  

The unique ID assigned by the merchant to identify a transfer request.

Note: This field is returned on demand only when the value of result.resultStatus is ​S.

More information:

  • This field is an API idempotency field.
  • Maximum length: 64 characters

transferId String  

The unique ID assigned by Antom to identify a transfer.

Note: This field is returned on demand only when the value of result.resultStatus is S.

More information:

  • Maximum length: 64 characters

transferFinishTime Datetime  

The finishing time of a transfer.

Note: This field is returned on demand only when the value of result.resultStatus is S.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

transferFromDetail TransferFromDetail  

Transfer details submitted by the payer.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters

transferToDetail TransferToDetail  

Transfer details for the beneficiary.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters

businessSceneCode String  

The code that represents the transfer business scenario. Valid value is:

  • THIRD_PARTY_TRANSFER: Account-to-account transfer (the value of payee is ANTOM_BIZ_ACCOUNT).

More information:

  • Maximum length: 64 characters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

 This interface is called successfully.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid. For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact our Technical Support Team.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is POST.

transferResult.resultCode

CodeValueMessageFurther action
SUCCESSSSuccess

No further action is needed.

PROCESSINGSProcessing

The partner can retry to query the status after receiving processing. It means Antom has received the transaction, but pending for processing. It is not a final status.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact our Technical Support Team to resolve the issue.

UNKNOWN_EXCEPTIONUUnknown exception

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

USER_ACCOUNT_ABNORMALFThe user account status is abnormal.

Retry with a different user. If the issue persists, contact our Technical Support Team for more details.

AMOUNT_EXCEED_LIMITFThe amount exceeds the limit.

Make sure the amount submitted is correct and retry.

RISK_REJECTFThe transfer is rejected for risk control reasons.

Prompt the user that the request is rejected because the risk control failed.

TRANSFER_IN_PROCESSUThe transfer is in process.

Try again later.

ORDER_IS_CLOSEDFThe order is closed.

Retry with another transfer order.

ORDER_IS_REVERSEDFThe order is reversed.

Retry with another transfer order.

BALANCE_NOT_ENOUGHFBalance is not enough.

Make sure the balance is sufficient and retry.

ORDER_NOT_FOUNDUOrder not found.

Retry with correct order information.